Reset a password

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://bump.sh/hivepress/doc/rest-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"HivePress REST API MCP server": {
  "url": "https://bump.sh/hivepress/doc/rest-api/mcp"
}
Close
POST /users/reset-password
application/json

Body

  • username string

    Username.

  • password string

    New password.

  • password_reset_key string

    Password reset key.

Responses

  • 200
POST /users/reset-password
curl \
 --request POST '/wp-json/hivepress/v1/users/reset-password' \
 --header "Content-Type: application/json" \
 --data '{"username":"string","password":"string","password_reset_key":"string"}'
Request examples
{
  "username": "string",
  "password": "string",
  "password_reset_key": "string"
}